Skip to main content
POST
/
v5
/
rubrics
/
{rubric_id}
/
criteria
Add Criterion to Rubric
curl --request POST \
  --url https://api.egp.scale.com/v5/rubrics/{rubric_id}/criteria \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "title": "<string>",
  "weight": 1,
  "annotations": {}
}
'
{
  "rubric_criteria_id": "<string>",
  "rubric_id": "<string>",
  "version": 123,
  "title": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "object": "rubric_criteria",
  "weight": 123,
  "annotations": {}
}

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

rubric_id
string
required

Body

application/json
title
string
required

The Criteria text

Minimum string length: 1
weight
number

Weight multiplier for scoring

Required range: x >= 0
annotations
Annotations · object

Free-form metadata for the Criteria

Response

Successful Response

rubric_criteria_id
string
required
rubric_id
string
required
version
integer
required
title
string
required
created_at
string<date-time>
required
object
string
default:rubric_criteria
Allowed value: "rubric_criteria"
weight
number
annotations
Annotations · object